# Functor Deriving_Typeable.Defaults

    module Defaults: functor (T : sig

    type a

    val type_rep : Deriving_Typeable.TypeRep.t Lazy.t

    end) -> Typeable  with type a = T.a

Parameters:

`T` | : | `sig type a val type_rep : TypeRep.t Lazy.t end`

    type a

    val type_rep : Deriving_Typeable.TypeRep.t Lazy.t

    val has_type : Deriving_Typeable.dynamic -> bool

    val cast : Deriving_Typeable.dynamic -> a option

    val throwing_cast : Deriving_Typeable.dynamic -> a

    val make_dynamic : a -> Deriving_Typeable.dynamic

    val mk : a -> Deriving_Typeable.dynamic